$packageName = 'jamovi.portable'
$url64 = 'https://www.jamovi.org/downloads/jamovi-0.7.5.6.zip'
$installDir = $(Split-Path -parent $MyInvocation.MyCommand.Definition)
$checksum64 = '6896b6c69dba66a15e362f96bf7ad7dcbe5290331381aa2e8b78047003d857a6'
$checksumType64 = 'sha256'
Install-ChocolateyZipPackage -PackageName $packageName `
                             -UnzipLocation $installDir `
                             -Url64bit $url64 `
                             -Checksum64 $checksum64 `
                             -ChecksumType64 $checksumType64

$files = get-childitem $installDir -include *.exe -recurse

foreach ($file in $files) {
  if (!($file.Name.Contains("jamovi.exe"))) {
    #generate an ignore file
    New-Item "$file.ignore" -type file -force | Out-Null
  }
  else{
    New-Item "$file.gui" -type file -force | Out-Null
  }
}
